import * as ui from "@minecraft/server-ui";
import { ActionFormData,  MessageFormData,  ModalFormData} from "@minecraft/server-ui";
import { world, system, Player, MolangVariableMap, Entity} from "@minecraft/server";
const overworld = world.getDimension('minecraft:overworld');
import {world as World} from "@minecraft/server";

world.afterEvents.playerInteractWithEntity.subscribe(({player, target}) => {
    if (target.typeId === "well:bandeira_chunk") {
        {Chunk_menu_bandeira(player)}
    }
})
export function Chunk_menu_bandeira(player) {
    let form = new ui.ActionFormData();
	form.title("§´Chunk Menu");
    form.body("");
    form.button({ rawtext: [{ translate: "ativar.marcacao"}] }, "textures/ui/toggle_on.png");
	form.button({ rawtext: [{ translate: "remover.marcacao"}] }, "textures/ui/toggle_off.png");
	form.button({ rawtext: [{ translate: "remover.bandeira"}] }, "textures/ui/realms_red_x.png"); 
    
    form.show(player).then((result) => {
        
		
		if (result.selection == 0) {
        player.runCommandAsync("/scoreboard players set @e [type=well:bandeira_chunk, r=10] border 1");}
		
		if (result.selection == 1) {
        player.runCommandAsync("/scoreboard players set @e [type=well:bandeira_chunk, r=10] border 0");}
		
		if (result.selection == 2) {
        player.runCommandAsync("/event entity @e [type=well:bandeira_chunk, r=10] comando");}
		
    });
}